Subject: Re: [TR] Was: steering wheel nut, now stator tube turning

From: [email-masked]
Date: Tue, 3 Jul 2012 13:25:49 -0400 (EDT)

Maybe you're right and the horn assembly is too tight.  I guess swapping 
horn assemblies between cars is too much trouble.  But that would be one way 
to confirm.

Dave

In a message dated 7/3/2012 11:27:03 AM Central Daylight Time, 
[email-masked] writes: 
> Dave, the whole stator tube assembly is turning. The horn assembly is 
> engaging the notches in the tube. The horn assembly is new - bought from one 
> of the big three at a VTR auction and seemed "tight when turning it" before 
> the assembly into the stator. I've stripped a couple of brass nuts trying 
> to tighten it. It's frustrating. I do have the other car to compare and it's 
> fine....

** [email-masked] **

Donate: http://www.team.net/donate.html
Archive: http://www.team.net/archive
Forums: http://www.team.net/forums
Unsubscribe/Manage: http://autox.team.net/mailman/options/triumphs/[email-masked]